## qt6-virtualkeyboard 6.8.3+dfsg

=== src/plugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QVirtualKeyboardPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QVirtualKeyboardPlugin
    OUTPUT_NAME qtvirtualkeyboardplugin
    PLUGIN_TYPE platforminputcontexts
    DEFAULT_IF ANDROID
    SOURCES
        plugin.cpp plugin.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::VirtualKeyboardPrivate
)

qt_internal_extend_target(QVirtualKeyboardPlugin CONDITION WIN32
    LIBRARIES
        imm32
)

=== src/plugins/hangul/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtVirtualKeyboardHangulPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbhangulplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Hangul"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbhangulplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        hangul.cpp hangul_p.h
        hangulinputmethod.cpp hangulinputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
    NO_GENERATE_CPP_EXPORTS
)

# Resources:
set(qmake_virtualkeyboard_hangul_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/ko_KR/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/ko_KR/digits.fallback"
    "${VKB_LAYOUTS_BASE}/ko_KR/main.qml"
    "${VKB_LAYOUTS_BASE}/ko_KR/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/ko_KR/symbols.qml"
)

qt_internal_add_resource(qtvkbhangulplugin "qmake_virtualkeyboard_hangul_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_hangul_layouts_resource_files}
)

=== src/plugins/pinyin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(3rdparty/pinyin)

#####################################################################
## QtVirtualKeyboardPinyinPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbpinyinplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Pinyin"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbpinyinplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        pinyindecoderservice.cpp pinyindecoderservice_p.h
        pinyininputmethod.cpp pinyininputmethod_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboard
        Qt::BundledPinyin
    NO_GENERATE_CPP_EXPORTS
)

# Resources:
set(qmake_virtualkeyboard_pinyin_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/zh_CN/dialpad.fallback"
    "${VKB_LAYOUTS_BASE}/zh_CN/digits.fallback"
    "${VKB_LAYOUTS_BASE}/zh_CN/main.qml"
    "${VKB_LAYOUTS_BASE}/zh_CN/numbers.fallback"
    "${VKB_LAYOUTS_BASE}/zh_CN/symbols.qml"
)

qt_internal_add_resource(qtvkbpinyinplugin "qmake_virtualkeyboard_pinyin_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}" #special case
    BASE
        "${VKB_LAYOUTS_BASE}" #special case
    FILES
        ${qmake_virtualkeyboard_pinyin_layouts_resource_files}
)

if (NOT FEATURE_vkb_no_bundle_pinyin)
    # Resources:
    set(qmake_pinyin_resource_files
        "3rdparty/pinyin/data/dict_pinyin.dat"
    )

    qt_internal_add_resource(qtvkbpinyinplugin "qmake_pinyin"
        PREFIX
            "/qt-project.org/imports/QtQuick/VirtualKeyboard"
        BASE
            "${CMAKE_CURRENT_SOURCE_DIR}"
        FILES
            ${qmake_pinyin_resource_files}
    )
else()
    qt_copy_or_install(
        DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/pinyin/data/"
        DESTINATION "${VKB_INSTALL_DATA}/pinyin"
        FILES_MATCHING
        PATTERN "*.dat"
    )
endif()

=== src/plugins/hunspell/module/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtQuickVirtualKeyboardHunspellPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(HunspellInputMethod
    URI "QtQuick.VirtualKeyboard.Plugins.Hunspell"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbhunspellplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        hunspellinputmethod.cpp hunspellinputmethod_p.cpp hunspellinputmethod_p.h
        hunspellinputmethod_p_p.h
        hunspellworker.cpp hunspellworker_p.h
        hunspellwordlist.cpp hunspellwordlist_p.h
        qhunspellinputmethod_global.h
    DEFINES
        QHUNSPELLINPUTMETHOD_LIBRARY
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::Core
        Qt::Gui
    PUBLIC_LIBRARIES
        Qt::VirtualKeyboardPrivate
)

qt_internal_extend_target(HunspellInputMethod CONDITION QT_FEATURE_system_hunspell
    LIBRARIES
        Hunspell::Hunspell
)

qt_internal_extend_target(HunspellInputMethod CONDITION NOT QT_FEATURE_system_hunspell AND QT_FEATURE_3rdparty_hunspell
    LIBRARIES
        Qt::BundledHunspell
)

if(QT_FEATURE_3rdparty_hunspell)
    qt_copy_or_install(
        DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/../3rdparty/hunspell/data/"
        DESTINATION "${VKB_INSTALL_DATA}/hunspell"
        FILES_MATCHING
        PATTERN "*.dic"
        PATTERN "*.aff"
    )
endif()

=== src/plugins/cerence/hwr/plugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtVirtualKeyboardCerenceHwrPlugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbcerencehwrplugin
    URI "QtQuick.VirtualKeyboard.Plugins.Cerence.HWR"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbcerencehwrplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        cerence_hwr_p.h
        t9writeabstractdictionary_p.h
        t9writedictionary.cpp t9writedictionary_p.h
        t9writeinputmethod.cpp t9writeinputmethod_p.h
        t9writewordcandidate.cpp t9writewordcandidate_p.h
        t9writeworker.cpp t9writeworker_p.h
    DEFINES
        HAVE_CERENCE_HWR
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::BundledCerencecommon
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
    NO_GENERATE_CPP_EXPORTS
)

# Resources:
set(qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
    "${VKB_LAYOUTS_BASE}/fallback/handwriting.qml"
)

if (QT_FEATURE_vkb_lang_en_GB)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/en_GB/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_en_US)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/en_US/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ar_AR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ar_AR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_bg_BG)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/bg_BG/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_cs_CZ)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/cs_CZ/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_da_DK)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/da_DK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_de_DE)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/de_DE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_el_GR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/el_GR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_ES)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/es_ES/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_es_MX)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/es_MX/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_et_EE)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/et_EE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fa_FA)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fa_FA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_fi_FI)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fi_FI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_FR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fr_FR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_fr_CA)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/fr_CA/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_he_IL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/he_IL/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_hr_HR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hr_HR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_hu_HU)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/hu_HU/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_id_ID)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/id_ID/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_it_IT)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/it_IT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ms_MY)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ms_MY/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nb_NO)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/nb_NO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_nl_NL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/nl_NL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pl_PL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pl_PL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_BR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pt_BR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_pt_PT)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/pt_PT/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ro_RO)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ro_RO/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ru_RU)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ru_RU/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sk_SK)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sk_SK/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sl_SI)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sl_SI/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sq_AL)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sq_AL/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_sr_SP)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sr_SP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_sv_SE)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/sv_SE/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_th_TH)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/th_TH/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_tr_TR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/tr_TR/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_uk_UA)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/uk_UA/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_vi_VN)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/vi_VN/handwriting.fallback"
    )
endif()

if (QT_FEATURE_vkb_lang_ja_JP)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ja_JP/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_ko_KR)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ko_KR/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_CN/handwriting.qml"
    )
endif()

if (QT_FEATURE_vkb_lang_zh_TW)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_TW/handwriting.qml"
    )
endif()

qt_internal_add_resource(qtvkbcerencehwrplugin "qmake_virtualkeyboard_cerence_hwr_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_cerence_hwr_layouts_resource_files}
)

set(qmake_virtualkeyboard_cerence_hwr_custom_layouts_resource_files)
if (QT_FEATURE_vkb_lang_zh_HK)
    list(APPEND qmake_virtualkeyboard_cerence_hwr_custom_layouts_resource_files
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/handwriting.qml"
    )
endif()

qt_internal_add_resource(qtvkbcerencehwrplugin "qmake_virtualkeyboard_cerence_hwr_custom_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts"
    FILES
        ${qmake_virtualkeyboard_cerence_hwr_custom_layouts_resource_files}
)

qt_internal_extend_target(qtvkbcerencehwrplugin CONDITION QT_FEATURE_cerence_xt9
    DEFINES
        HAVE_XT9
    LIBRARIES
        Qt::BundledXt9Common
)

qt_internal_extend_target(qtvkbcerencehwrplugin CONDITION QT_FEATURE_cerence_hwr_alphabetic
    DEFINES
        HAVE_CERENCE_HWR_ALPHABETIC
    LIBRARIES
        Cerence::HWR::Alphabetic
)

qt_internal_extend_target(qtvkbcerencehwrplugin CONDITION QT_FEATURE_cerence_hwr_cjk
    DEFINES
        HAVE_CERENCE_HWR_CJK
    LIBRARIES
        Cerence::HWR::CJK
)

qt_internal_extend_target(qtvkbcerencehwrplugin CONDITION FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_hwr
    DEFINES
        HAVE_CERENCE_HWR_RESOURCE
)

if(FEATURE_vkb_bundle_cerence OR FEATURE_vkb_bundle_cerence_hwr)
    set(resource_glob_0)
    if(FEATURE_vkb_lang_ar_AR OR FEATURE_vkb_lang_fa_FA)
        file(GLOB resource_glob_0 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/arabic/*.bin")
        foreach(file IN LISTS resource_glob_0)
            set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
        endforeach()
    endif()

    set(resource_glob_1)
    if(FEATURE_vkb_lang_he_IL)
        file(GLOB resource_glob_1 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/hebrew/*.bin")
        foreach(file IN LISTS resource_glob_1)
            set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
        endforeach()
    endif()

    set(resource_glob_2)
    if(FEATURE_vkb_lang_th_TH)
        file(GLOB resource_glob_2 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/thai/*.bin")
        foreach(file IN LISTS resource_glob_2)
            set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
        endforeach()
    endif()

    file(GLOB resource_glob_3 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/*.bin")
    foreach(file IN LISTS resource_glob_3)
        set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
    endforeach()

    file(GLOB resource_glob_4 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/*.hdb")
    foreach(file IN LISTS resource_glob_4)
        set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
    endforeach()

    file(GLOB resource_glob_5 RELATIVE "${CERENCE_HWR_DATAPATH}" "${CERENCE_HWR_DATAPATH}/*.phd")
    foreach(file IN LISTS resource_glob_5)
        set_source_files_properties("${CERENCE_HWR_DATAPATH}/${file}" PROPERTIES QT_RESOURCE_ALIAS "${file}")
    endforeach()

    # Resources:
    set(qmake_cerencehwrdata_db_resource_files
        ${resource_glob_0}

=== src/plugins/cerence/xt9/plugin/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QtVirtualKeyboardXt9Plugin Plugin:
#####################################################################

qt_internal_add_qml_module(qtvkbcerencext9plugin
    URI "QtQuick.VirtualKeyboard.Plugins.Cerence.XT9"
    VERSION "${PROJECT_VERSION}"
    PAST_MAJOR_VERSIONS 2
    PLUGIN_TARGET qtvkbcerencext9plugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick.VirtualKeyboard/auto
    SOURCES
        xt9awinputmethod.cpp xt9awinputmethod_p.h
        xt9awinputmethodprivate.cpp xt9awinputmethodprivate_p.h
        xt9cpinputmethod.cpp xt9cpinputmethod_p.h
        xt9cpinputmethodprivate.cpp xt9cpinputmethodprivate_p.h
        xt9inputmethod.cpp xt9inputmethod_p.h
        xt9inputmethodprivate.cpp xt9inputmethodprivate_p.h
        xt9jinputmethod.cpp xt9jinputmethod_p.h
        xt9jinputmethodprivate.cpp xt9jinputmethodprivate_p.h
        xt9kinputmethod.cpp xt9kinputmethod_p.h
        xt9kinputmethodprivate.cpp xt9kinputmethodprivate_p.h
        xt9thaiinputmethod.cpp xt9thaiinputmethod_p.h
        xt9thaiinputmethodprivate.cpp xt9thaiinputmethodprivate_p.h
    DEFINES
        QT_ASCII_CAST_WARNINGS
        QT_NO_CAST_FROM_ASCII
        QT_NO_CAST_FROM_BYTEARRAY
        QT_NO_CAST_TO_ASCII
    LIBRARIES
        Qt::BundledCerencecommon
        Qt::BundledXt9Common
        Qt::Core
        Qt::Gui
        Qt::Qml
        Qt::VirtualKeyboardPrivate
    NO_GENERATE_CPP_EXPORTS
)

set(qmake_virtualkeyboard_xt9_layouts_resource_files)
if (QT_FEATURE_vkb_lang_ja_JP)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ja_JP/digits.fallback"
        "${VKB_LAYOUTS_BASE}/ja_JP/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/ja_JP/symbols.qml"
        "${VKB_LAYOUTS_BASE}/ja_JP/dialpad.fallback"
    )
endif()
if (QT_FEATURE_vkb_lang_ko_KR)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/ko_KR/digits.fallback"
        "${VKB_LAYOUTS_BASE}/ko_KR/main.qml"
        "${VKB_LAYOUTS_BASE}/ko_KR/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/ko_KR/symbols.qml"
        "${VKB_LAYOUTS_BASE}/ko_KR/dialpad.fallback"
    )
endif()
if (QT_FEATURE_vkb_lang_th_TH)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/th_TH/digits.fallback"
        "${VKB_LAYOUTS_BASE}/th_TH/main.qml"
        "${VKB_LAYOUTS_BASE}/th_TH/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/th_TH/symbols.qml"
        "${VKB_LAYOUTS_BASE}/th_TH/dialpad.fallback"
    )
endif()
if (QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_CN/digits.fallback"
        "${VKB_LAYOUTS_BASE}/zh_CN/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/zh_CN/symbols.qml"
        "${VKB_LAYOUTS_BASE}/zh_CN/dialpad.fallback"
    )
endif()
if (NOT FEATURE_vkb_cerence_xt9_9key_layouts AND QT_FEATURE_vkb_lang_zh_CN)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_CN/main.qml"
    )
endif()
if (QT_FEATURE_vkb_lang_zh_TW)
    list(APPEND qmake_virtualkeyboard_xt9_layouts_resource_files
        "${VKB_LAYOUTS_BASE}/zh_TW/digits.fallback"
        "${VKB_LAYOUTS_BASE}/zh_TW/numbers.fallback"
        "${VKB_LAYOUTS_BASE}/zh_TW/symbols.qml"
        "${VKB_LAYOUTS_BASE}/zh_TW/dialpad.fallback"
    )
endif()

qt_internal_add_resource(qtvkbcerencext9plugin "qmake_virtualkeyboard_xt9_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${VKB_LAYOUTS_BASE}"
    FILES
        ${qmake_virtualkeyboard_xt9_layouts_resource_files}
)


set(qmake_virtualkeyboard_xt9_custom_layouts_resource_files)
if (QT_FEATURE_vkb_lang_ja_JP AND NOT FEATURE_vkb_cerence_xt9_9key_layouts)
    list(APPEND qmake_virtualkeyboard_xt9_custom_layouts_resource_files
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/ja_JP/main.qml"
    )
endif()
if (QT_FEATURE_vkb_lang_zh_HK)
    list(APPEND qmake_virtualkeyboard_xt9_custom_layouts_resource_files
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/digits.fallback"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/numbers.fallback"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/symbols.qml"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/main.qml"
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/dialpad.fallback"
    )
endif()

qt_internal_add_resource(qtvkbcerencext9plugin "qmake_virtualkeyboard_xt9_custom_layouts"
    PREFIX
        "${VKB_LAYOUTS_PREFIX}"
    BASE
        "${CMAKE_CURRENT_SOURCE_DIR}/content/layouts"
    FILES
        ${qmake_virtualkeyboard_xt9_custom_layouts_resource_files}
)

if (QT_FEATURE_vkb_lang_zh_TW AND NOT FEATURE_vkb_cerence_xt9_9key_layouts)
    # Resources:
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/content/layouts/zh_HK/main.qml ${CMAKE_CURRENT_BINARY_DIR}/content/layouts/zh_TW/main.qml COPYONLY)
    set(qmake_virtualkeyboard_xt9_cangjie_layouts_resource_files
        "${CMAKE_CURRENT_BINARY_DIR}/content/layouts/zh_TW/main.qml"
    )

    qt_internal_add_resource(qtvkbcerencext9plugin "qmake_virtualkeyboard_xt9_cangjie_layouts"
        PREFIX
            "${VKB_LAYOUTS_PREFIX}"
        BASE
            "${CMAKE_CURRENT_BINARY_DIR}/content/layouts"
        FILES
            ${qmake_virtualkeyboard_xt9_cangjie_layouts_resource_files}
    )
endif()

if (FEATURE_vkb_cerence_xt9_9key_layouts)
    if (QT_FEATURE_vkb_lang_zh_CN)
        list(APPEND qmake_virtualkeyboard_xt9_9key_layouts_resource_files
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts/zh_CN/main.qml"
        )
    endif()

    if (QT_FEATURE_vkb_lang_zh_TW)
        list(APPEND qmake_virtualkeyboard_xt9_9key_layouts_resource_files
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts/zh_TW/main.qml"
        )
    endif()

    if (QT_FEATURE_vkb_lang_ja_JP)
        list(APPEND qmake_virtualkeyboard_xt9_9key_layouts_resource_files
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts/ja_JP/main.qml"
        )
    endif()

    qt_internal_add_resource(qtvkbcerencext9plugin "qmake_virtualkeyboard_xt9_9key_layouts"
        PREFIX
            "${VKB_LAYOUTS_PREFIX}"
        BASE
            "${CMAKE_CURRENT_SOURCE_DIR}/9key_layouts/content/layouts"
        FILES
            ${qmake_virtualkeyboard_xt9_9key_layouts_resource_files}
    )
endif()

=== debian/changelog ===
qt6-virtualkeyboard (6.8.3+dfsg-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:31:32 -0500

## qt6-virtualkeyboard 6.9.1

=== debian/changelog ===
qt6-virtualkeyboard (6.9.1-0zneon+24.04+noble+stable+build15) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 10 Jul 2025 00:11:55 +0000

qt6-virtualkeyboard (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 10 Jul 2025 00:51:11 +1000

qt6-virtualkeyboard (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 01 May 2025 23:37:45 +1000

qt6-virtualkeyboard (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:29:22 +1000

qt6-virtualkeyboard (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 09:57:58 +1000

qt6-virtualkeyboard (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 08 Dec 2024 08:30:43 +1000

qt6-virtualkeyboard (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 21:37:20 +1000

qt6-virtualkeyboard (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:28:09 +1000

qt6-virtualkeyboard (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 10 Dec 2023 18:36:01 +1000

qt6-virtualkeyboard (6.4.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6virtualkeyboard6-dev to qt6-virtualkeyboard-dev.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Nov 2022 23:42:01 +0100

qt6-virtualkeyboard (6.4.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Nov 2022 01:17:56 +0100

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.1~),
               qt6-declarative-dev (>= 6.9.1~),
               qt6-multimedia-dev (>= 6.9.1~),
               qt6-svg-dev (>= 6.9.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard
Maintainer: Neon CI <neon@kde.org>

Package: qt6-virtualkeyboard
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-declarative,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6hunspellinputmethod6,
          libqt6virtualkeyboard6,
          qml6-module-qtquick-virtualkeyboard,
          qt6-virtualkeyboard-plugin
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qt6-virtualkeyboard-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-svg-dev,
         qt6-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~)
Replaces: libqt6virtualkeyboard6-dev, qt6-virtualkeyboard-examples
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-virtualkeyboard-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-virtualkeyboard-doc-html
Description: Qt 6 Virtual Keyboard - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the documentation files used to help implement input
 methods for virtual keyboards.

Package: libqt6virtualkeyboard6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6virtualkeyboardsettings6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6hunspellinputmethod6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-plugin
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Depends: qt6-virtualkeyboard-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-examples
Architecture: all
Depends: qt6-virtualkeyboard-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## qt6-virtualkeyboard 6.9.1+dfsg

=== src/plugins/cerence/xt9/CMakeLists.txt ===
add_subdirectory(plugin)
add_subdirectory(xt9common)

=== debian/changelog ===
qt6-virtualkeyboard (6.9.1+dfsg-2) experimental; urgency=medium

  * Install missing cmake-files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 23:36:20 +0200

qt6-virtualkeyboard (6.9.1+dfsg-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop reference to Qt 5 in package description.

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Aug 2025 12:05:10 +0200

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               ccache [linux-any],
               cmake (>= 3.24~),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1+dfsg~),
               qt6-base-private-dev (>= 6.9.1+dfsg~),
               qt6-declarative-dev (>= 6.9.1+dfsg~),
               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
               qt6-multimedia-dev (>= 6.9.1~),
               qt6-svg-dev (>= 6.9.1~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-virtualkeyboard.git
Rules-Requires-Root: no

Package: libqt6virtualkeyboard6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6hunspellinputmethod6,
Replaces: libqt6hunspellinputmethod6,
Description: Qt 6 Virtual Keyboard QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the QML module for thw Qt Virtual Keyboard.

Package: qt6-virtualkeyboard-plugin
Architecture: any
Multi-Arch: same
Depends: qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Virtual Keyboard
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard plugin.

Package: qt6-virtualkeyboard-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6virtualkeyboard6 (= ${binary:Version}),
         qml6-module-qtquick-virtualkeyboard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Replaces: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~),
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 virtual keyboard HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 virtual keyboard.

Package: qt6-virtualkeyboard-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 virtual keyboard examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt virtual keyboard submodule.

## qt6-virtualkeyboard 6.9.2

=== debian/changelog ===
qt6-virtualkeyboard (6.9.2-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 30 Aug 2025 01:47:49 +0000

qt6-virtualkeyboard (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 15:49:45 +1000

=== debian/control ===
Source: qt6-virtualkeyboard
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               hunspell-en-gb <!nocheck>,
               libgl-dev,
               libhunspell-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-xfixes0-dev,
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-declarative-dev (>= 6.9.2~),
               qt6-multimedia-dev (>= 6.9.2~),
               qt6-svg-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-virtualkeyboard
Maintainer: Neon CI <neon@kde.org>

Package: qt6-virtualkeyboard
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base,
         qt6-declarative,
         qt6-multimedia,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6hunspellinputmethod6,
          libqt6virtualkeyboard6,
          qml6-module-qtquick-virtualkeyboard,
          qt6-virtualkeyboard-plugin
Description: Qt 6 Virtual Keyboard library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the Qt Virtual Keyboard library.

Package: qt6-virtualkeyboard-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-svg-dev,
         qt6-virtualkeyboard (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libqt6virtualkeyboard6-dev (<< 6.4.1+dfsg-2~)
Replaces: libqt6virtualkeyboard6-dev, qt6-virtualkeyboard-examples
Description: Qt 6 Virtual Keyboard - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the development files needed to implement input
 methods for virtual keyboards.

Package: qt6-virtualkeyboard-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc,
         qt6-virtualkeyboard-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-virtualkeyboard-doc-html
Description: Qt 6 Virtual Keyboard - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Virtual Keyboard project provides an input framework and
 reference keyboard frontend for Qt 6 on Linux Desktop/X11, Windows
 Desktop, and Boot2Qt targets.
 .
 This package contains the documentation files used to help implement input
 methods for virtual keyboards.

Package: libqt6virtualkeyboard6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6virtualkeyboardsettings6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6hunspellinputmethod6
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-virtualkeyboard
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-plugin
Architecture: all
Depends: qt6-virtualkeyboard, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-doc-html
Architecture: all
Depends: qt6-virtualkeyboard-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-virtualkeyboard-examples
Architecture: all
Depends: qt6-virtualkeyboard-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://qt-mirror.dannhauer.de/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtvirtualkeyboard-everywhere-src-([\d\.]+\d).tar.xz

## qt6-virtualkeyboard 6.9.2%2Bdfsg

=== tests/auto/shadowinput/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_shadowinput
    QMLTEST
    SOURCES
        tst_shadowinput.cpp
    LIBRARIES
        Qt::Gui
    TESTDATA ${test_data}
)

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += -DQT_HOST_PATH=/usr
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_makeshlibs:
	dh_makeshlibs -XlibQt6VirtualKeyboardSettings

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
